summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorgraysky2016-11-20 09:32:26 -0500
committergraysky2016-11-20 09:32:26 -0500
commitb923c8438b7108acb1a46475432c1903b7b8fe0f (patch)
tree9ca19849ad5161da6d90b5a85b60e1692ce637ff
parent50c6720caeab3aaa600dad7e322fbc6ba1fbe277 (diff)
downloadaur-b923c8438b7108acb1a46475432c1903b7b8fe0f.tar.gz
Update to 4.8.9-3
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD2
-rw-r--r--linux.install10
3 files changed, 13 insertions, 3 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3d890cd8e32..8ede3d0b27c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Sat Nov 19 19:55:45 UTC 2016
+# Sun Nov 20 14:32:25 UTC 2016
pkgbase = linux-ck
pkgver = 4.8.9
- pkgrel = 2
+ pkgrel = 3
url = https://wiki.archlinux.org/index.php/Linux-ck
arch = i686
arch = x86_64
diff --git a/PKGBUILD b/PKGBUILD
index 5224de77bf4..1f4d9814906 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -45,7 +45,7 @@ _use_current=
pkgbase=linux-ck
_srcname=linux-4.8
pkgver=4.8.9
-pkgrel=2
+pkgrel=3
_ckpatchversion=7
arch=('i686' 'x86_64')
url="https://wiki.archlinux.org/index.php/Linux-ck"
diff --git a/linux.install b/linux.install
index 04627758414..6c96cda7368 100644
--- a/linux.install
+++ b/linux.install
@@ -18,6 +18,16 @@ post_upgrade() {
echo ">>> In order to use your keyboard during early init, you MUST"
echo ">>> include the 'keyboard' hook in your mkinitcpio.conf."
fi
+
+ if [ $(vercmp $2 4.8.8) -lt 0 ]; then
+ grep -q repo-ck] /etc/pacman.conf
+ if [ $? -eq 0 ]; then
+ echo ">>> WARNING: if you are using one of the CPU optimized kernel from [repo-ck],"
+ echo ">>> make sure that your bootloader points to the correctly named"
+ echo ">>> initramfs images since they have been renamed with the 4.8.8-2 release!"
+ echo
+ fi
+ fi
}
post_remove() {